Subject: Re: [PATCH v6 00/39] Lockfile correctness and refactoring

From: Junio C Hamano <[email-masked]>
Date: Fri, 26 Sep 2014 09:31:49 -0700

Michael Haggerty <[email-masked]> writes:

> * Rebase to current master.

When you say this, could you be a bit more descriptive?  Has the
series updated to use something new that appeared on 'master' since
the last series was posted and needed to be rebased?  Or did you
just made sure that the series applied on top of the current master
still works, even though you have been running "rebase -i" on the
same fork point since the previous round?

If the former, naming what it now uses i.e. "rebased to current
master, to redo PATCH x,y,z using the new X recently graduated"
would be helpful.

If the latter, well, not rebasing is preferrable if the changes are
still viable on the previous fork point, to be absolutely honest.

Thanks.